<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/PTree/Writer.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Writer.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/PTree/Writer.hh</h1><div><a href="../../../Source/Synopsis/PTree/Writer.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="../PTree.hh.html" >Synopsis/PTree.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html" >Writer</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Writer</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html#my_indent" >my_indent</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html#my_lines" >my_lines</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html#my_os" >my_os</a>
<div class="doc"></div></div>

</div>
<div><h3>Functions in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#reify_lconst.Node_S_r" >reify&#40;const&#160;Node*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Writer</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html#Writer_lstd_mostream_A_r" >Writer&#40;std::ostream&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html#newline_l_r" >newline&#40;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html#visit_lAtom_S_r" >visit&#40;Atom*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html#visit_lBrace_S_r" >visit&#40;Brace*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html#visit_lList_S_r" >visit&#40;List*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Writer.html#write_lconst.Node_S_r" >write&#40;const&#160;Node*&#41;</a>
<div class="doc"></div></div>
</div>

</body>
</html>
